(*
    Pattern matching functions
    1994 by Alessandro Scotti
*)
unit ShiftAnd;
interface

function saExactSearch( var Buffer; BufLen: word ): longint;
function saFuzzySearch( var Buffer; BufLen: word ): longint;
function saGetCVT: pointer;
function saSetFuzzy( MaxErr: word ): integer;
function saSetPattern( Pattern: PChar; PattLen: word ): integer;

function bmExactSearch( var Buffer; BufLen: word ): longint;
function bmSetPattern( Pattern: PChar; PattLen: word ): integer;

implementation

function saExactSearch;         external;
function saFuzzySearch;         external;
function saGetCVT;              external;
function saSetFuzzy;            external;
function saSetPattern;          external;
{$L SHIFTAND}

function bmExactSearch;         external;
function bmSetPattern;          external;
{$L BM}

end.
